Package org.zkoss.bind.impl

## Class MiscUtil

- java.lang.Object
- - org.zkoss.bind.impl.MiscUtil

-     public class MiscUtil
      extends java.lang.Object

  internal use only misc util
  Author:
    dennis

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MiscUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `formatLocationMessage​(java.lang.String message, java.lang.Object obj)` |
    `static java.lang.String` | `formatLocationMessage​(java.lang.String message, Location loc)` |
    `static java.lang.String` | `formatLocationMessage​(java.lang.String message, Component comp)` |
    `static java.lang.String` | `formatLocationMessage​(java.lang.String message, Annotation anno)` |
    `static java.lang.RuntimeException` | `mergeExceptionInfo​(java.lang.Exception ex, java.lang.Object loc)` |
    `static <T> T` | `newInstanceFromProperty​(java.lang.String key, java.lang.String def, java.lang.Class<T> type)` |
    `static java.lang.String` | `toSimpleMethodSignature​(java.lang.reflect.Method method)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MiscUtil

          public MiscUtil()

  - ### Method Detail

    - #### toSimpleMethodSignature

          public static java.lang.String toSimpleMethodSignature​(java.lang.reflect.Method method)

    - #### newInstanceFromProperty

          public static <T> T newInstanceFromProperty​(java.lang.String key,
                                                      java.lang.String def,
                                                      java.lang.Class<T> type)

    - #### formatLocationMessage

          public static java.lang.String formatLocationMessage​(java.lang.String message,
                                                               java.lang.Object obj)

    - #### formatLocationMessage

          public static java.lang.String formatLocationMessage​(java.lang.String message,
                                                               Component comp)

    - #### formatLocationMessage

          public static java.lang.String formatLocationMessage​(java.lang.String message,
                                                               Annotation anno)

    - #### formatLocationMessage

          public static java.lang.String formatLocationMessage​(java.lang.String message,
                                                               Location loc)

    - #### mergeExceptionInfo

          public static java.lang.RuntimeException mergeExceptionInfo​(java.lang.Exception ex,
                                                                      java.lang.Object loc)